## Class TReadOnlyDataSourceView

Description

TReadOnlyDataSourceView class

- since: 3.0
- version: $Id: TDataSourceView.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TDataSourceView.php (line 186)

    TComponent
       |
       --TDataSourceView
          |
          --TReadOnlyDataSourceView

Method Summary
TReadOnlyDataSourceView __construct (IDataSource $owner, mixed $viewName, mixed $dataSource)
void select (mixed $parameters)
Methods
Constructor __construct (line 190)

- access: public

TReadOnlyDataSourceView __construct (IDataSource $owner, mixed $viewName, mixed $dataSource)

Redefinition of:

TDataSourceView::__construct()

select (line 201)

- access: public

void select (mixed $parameters)

Redefinition of:

TDataSourceView::select()
  Performs DB selection based on specified parameters.

#### Inherited Methods

Inherited From TDataSourceView

> TDataSourceView::__construct()
> TDataSourceView::delete()
> TDataSourceView::getCanDelete()
> TDataSourceView::getCanGetRowCount()
> TDataSourceView::getCanInsert()
> TDataSourceView::getCanPage()
> TDataSourceView::getCanSort()
> TDataSourceView::getCanUpdate()
> TDataSourceView::getDataSource()
> TDataSourceView::getName()
> TDataSourceView::insertAt()
> TDataSourceView::onDataSourceViewChanged()
> TDataSourceView::select()
> TDataSourceView::update()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:43 -0400 by phpDocumentor 1.3.0RC4